BEGIN ~FEYDOCH~

IF ~ReputationLT(LastTalkedToBy,8)
NumTimesTalkedTo(0)
~ THEN BEGIN 0
  SAY @0
  IF ~~ THEN DO ~SetInterrupt(FALSE)
Wait(0)
CreateCreature("WELF1",[351.926],0)
CreateCreature("WELF2",[523.981],0)
CreateCreature("WELF1",[203.999],0)
CreateCreature("WELF2",[212.1256],0)
CreateCreature("WELF1",[817.973],0)
CreateCreature("WELF2",[752.1203],0)
CreateCreature("WELF1",[567.1232],0)
CreateCreature("WELF2",[1068.1324],0)
CreateCreature("WELF1",[1108.1141],0)
CreateCreature("WELF2",[700.693],0)
CreateCreature("WELF1",[812.798],0)
CreateCreature("WELF2",[857.654],0)
Wait(1)
Enemy()
ActionOverride("SYLVAN",Enemy())
ActionOverride("COOSHEE",Enemy())
SetInterrupt(TRUE)
ActionOverride("FEYDOCH",Attack([PC]))
ActionOverride("SYLVAN",Attack([PC]))
SetGlobal("Feydoch","GLOBAL",1)~ EXIT
END

IF ~ReputationLT(LastTalkedToBy,15)
ReputationGT(LastTalkedToBy,7)
NumTimesTalkedTo(0)
~ THEN BEGIN 1
  SAY @1
  IF ~~ THEN REPLY @2 GOTO 4
  IF ~~ THEN REPLY @3 DO ~SetInterrupt(FALSE)
Wait(0)
CreateCreature("WELF1",[351.926],0)
CreateCreature("WELF2",[523.981],0)
CreateCreature("WELF1",[203.999],0)
CreateCreature("WELF2",[212.1256],0)
CreateCreature("WELF1",[817.973],0)
CreateCreature("WELF2",[752.1203],0)
CreateCreature("WELF1",[567.1232],0)
CreateCreature("WELF2",[1068.1324],0)
CreateCreature("WELF1",[1108.1141],0)
CreateCreature("WELF2",[700.693],0)
CreateCreature("WELF1",[812.798],0)
CreateCreature("WELF2",[857.654],0)
Wait(1)
SetInterrupt(TRUE)
~ GOTO 5
  IF ~~ THEN REPLY @4 DO ~SetInterrupt(FALSE)
Wait(0)
CreateCreature("WELF1",[351.926],0)
CreateCreature("WELF2",[523.981],0)
CreateCreature("WELF1",[203.999],0)
CreateCreature("WELF2",[212.1256],0)
CreateCreature("WELF1",[817.973],0)
CreateCreature("WELF2",[752.1203],0)
CreateCreature("WELF1",[567.1232],0)
CreateCreature("WELF2",[1068.1324],0)
CreateCreature("WELF1",[1108.1141],0)
CreateCreature("WELF2",[700.693],0)
CreateCreature("WELF1",[812.798],0)
CreateCreature("WELF2",[857.654],0)
Wait(1)
SetInterrupt(TRUE)
~ GOTO 6
END

IF ~ReputationGT(LastTalkedToBy,14)
NumTimesTalkedTo(0)
~ THEN BEGIN 2
  SAY @5
  IF ~~ THEN REPLY @6 GOTO 7
  IF ~~ THEN REPLY @7 DO ~SetInterrupt(FALSE)
Wait(0)
CreateCreature("WELF1",[351.926],0)
CreateCreature("WELF2",[523.981],0)
CreateCreature("WELF1",[203.999],0)
CreateCreature("WELF2",[212.1256],0)
CreateCreature("WELF1",[817.973],0)
CreateCreature("WELF2",[752.1203],0)
CreateCreature("WELF1",[567.1232],0)
CreateCreature("WELF2",[1068.1324],0)
CreateCreature("WELF1",[1108.1141],0)
CreateCreature("WELF2",[700.693],0)
CreateCreature("WELF1",[812.798],0)
CreateCreature("WELF2",[857.654],0)
Wait(1)
SetInterrupt(TRUE)
~ GOTO 8
  IF ~~ THEN REPLY @8 DO ~SetInterrupt(FALSE)
Wait(0)
CreateCreature("WELF1",[351.926],0)
CreateCreature("WELF2",[523.981],0)
CreateCreature("WELF1",[203.999],0)
CreateCreature("WELF2",[212.1256],0)
CreateCreature("WELF1",[817.973],0)
CreateCreature("WELF2",[752.1203],0)
CreateCreature("WELF1",[567.1232],0)
CreateCreature("WELF2",[1068.1324],0)
CreateCreature("WELF1",[1108.1141],0)
CreateCreature("WELF2",[700.693],0)
CreateCreature("WELF1",[812.798],0)
CreateCreature("WELF2",[857.654],0)
Wait(1)
SetInterrupt(TRUE)
~ GOTO 9
END

IF ~NumTimesTalkedTo(1)
TimerExpired(1)
~ THEN BEGIN 3
  SAY @9
  IF ~~ THEN DO ~Enemy()
ActionOverride("SYLVAN",Enemy())
ActionOverride("COOSHEE",Enemy())
ActionOverride("FEYDOCH",Attack([PC]))
ActionOverride("SYLVAN",Attack([PC]))
SetGlobal("Feydoch","GLOBAL",1)~ EXIT
END

IF ~~ THEN BEGIN 4
  SAY @10
  IF ~~ THEN DO ~SetInterrupt(FALSE)
Wait(0)
CreateCreature("WELF1",[351.926],0)
CreateCreature("WELF2",[523.981],0)
CreateCreature("WELF1",[203.999],0)
CreateCreature("WELF2",[212.1256],0)
CreateCreature("WELF1",[817.973],0)
CreateCreature("WELF2",[752.1203],0)
CreateCreature("WELF1",[567.1232],0)
CreateCreature("WELF2",[1068.1324],0)
CreateCreature("WELF1",[1108.1141],0)
CreateCreature("WELF2",[700.693],0)
CreateCreature("WELF1",[812.798],0)
CreateCreature("WELF2",[857.654],0)
Wait(1)
Enemy()
ActionOverride("SYLVAN",Enemy())
ActionOverride("COOSHEE",Enemy())
SetInterrupt(TRUE)
ActionOverride("FEYDOCH",Attack([PC]))
ActionOverride("SYLVAN",Attack([PC]))
SetGlobal("Feydoch","GLOBAL",1)~ EXIT
END

IF ~~ THEN BEGIN 5
  SAY @11
  IF ~~ THEN DO ~StartTimer(1,15)
SetGlobalTimer("FeyWarning","GLOBAL",ONE_DAY)~ EXIT
END

IF ~~ THEN BEGIN 6
  SAY @12
  IF ~~ THEN DO ~StartTimer(1,30)
SetGlobalTimer("FeyWarning","GLOBAL",ONE_DAY)~ EXIT
END

IF ~~ THEN BEGIN 7
  SAY @13
  IF ~~ THEN DO ~StartTimer(1,15)
SetGlobalTimer("FeyWarning","GLOBAL",ONE_DAY)~ EXIT
END

IF ~~ THEN BEGIN 8
  SAY @14
  IF ~~ THEN DO ~StartTimer(1,30)
SetGlobalTimer("FeyWarning","GLOBAL",ONE_DAY)~ EXIT
END

IF ~~ THEN BEGIN 9
  SAY @15
  IF ~~ THEN DO ~StartTimer(1,30)
SetGlobalTimer("FeyWarning","GLOBAL",ONE_DAY)~ EXIT
END

IF ~AttackedBy([ANYONE],DEFAULT)
NumTimesTalkedTo(0)
~ THEN BEGIN 10
  SAY @16
  IF ~~ THEN DO ~SetInterrupt(FALSE)
Wait(0)
CreateCreature("WELF1",[351.926],0)
CreateCreature("WELF2",[523.981],0)
CreateCreature("WELF1",[203.999],0)
CreateCreature("WELF2",[212.1256],0)
CreateCreature("WELF1",[817.973],0)
CreateCreature("WELF2",[752.1203],0)
CreateCreature("WELF1",[567.1232],0)
CreateCreature("WELF2",[1068.1324],0)
CreateCreature("WELF1",[1108.1141],0)
CreateCreature("WELF2",[700.693],0)
CreateCreature("WELF1",[812.798],0)
CreateCreature("WELF2",[857.654],0)
Wait(1)
Enemy()
ActionOverride("SYLVAN",Enemy())
ActionOverride("COOSHEE",Enemy())
SetInterrupt(TRUE)
ActionOverride("FEYDOCH",Attack([PC]))
ActionOverride("SYLVAN",Attack([PC]))
SetGlobal("Feydoch","GLOBAL",1)~ EXIT
END

IF ~AttackedBy([ANYONE],DEFAULT)
NumTimesTalkedTo(1)
~ THEN BEGIN 11
  SAY @9
  IF ~~ THEN DO ~SetInterrupt(FALSE)
Wait(0)
CreateCreature("WELF1",[351.926],0)
CreateCreature("WELF2",[523.981],0)
CreateCreature("WELF1",[203.999],0)
CreateCreature("WELF2",[212.1256],0)
CreateCreature("WELF1",[817.973],0)
CreateCreature("WELF2",[752.1203],0)
CreateCreature("WELF1",[567.1232],0)
CreateCreature("WELF2",[1068.1324],0)
CreateCreature("WELF1",[1108.1141],0)
CreateCreature("WELF2",[700.693],0)
CreateCreature("WELF1",[812.798],0)
CreateCreature("WELF2",[857.654],0)
Wait(1)
Enemy()
ActionOverride("SYLVAN",Enemy())
ActionOverride("COOSHEE",Enemy())
SetInterrupt(TRUE)
ActionOverride("FEYDOCH",Attack([PC]))
ActionOverride("SYLVAN",Attack([PC]))
SetGlobal("Feydoch","GLOBAL",1)~ EXIT
END
